
QGIS Application - Bug report #12889

Defect #20028: Registry entry under HKLM\\software\\microsoft\\windows\\currentversion\\uninstall 

is not deleted in 64 bit environment

2015-06-05 04:35 AM - Timo Beil

Status: Closed

Priority: Low

Assignee:

Category: Build/Install

Affected QGIS version:2.8.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 20979

Description

When uninstalling QGIS 2.8.2 Wien on a Windows 7 x64 OS, the entry in Add/Remove Programs is not deleted. This is because the

associated registry entry "HKLM\\software\\microsoft\\windows\\currentversion\\uninstall\\QGIS Wien" is not deleted.

This is not a Problem because it is easy to do this manually or by a Batch file but i wanted you to know this little issue.

And while looking at this, you may also add the "DisplayVersion"-Registry-Value too. =)

Another Thing i noticed is that the Desktop-Shortcuts are named differently in x86 and x64 installer. I.E:

OSGeo4W (x86) and OSGeo4W Shell (x64)

MSYS Shell (x86) and MSYS (x64)

History

#1 - 2016-05-20 12:47 AM - Timo Beil

Issue still exist in 2.14.2 Essen.

Also the RegKey "HKLM\\Software\\QGIS ESSEN" is not deleted during uninstall on a 64 bit system.

Problem with this key is that if you uninstall the software and want to install the same Version again it stops with an error.

#2 - 2017-05-01 01:07 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#3 - 2018-09-23 10:18 PM - Jürgen Fischer

- Resolution set to worksforme

- Status changed from Open to Closed

- Description updated
